import { StoryObj, Meta } from '@storybook/react';
import { Icon } from '../icon';
import { ArrowBack } from '@mui/icons-material';
import { CarbonStringInteger } from '@graphpolaris/shared/lib/assets/carbonIcons/carbonIcons';
const Component: Meta<typeof Icon> = {
  title: 'Components/Icon',
  component: Icon,
  argTypes: {
    component: {
      control: 'select',
      options: [], // TODO
    },
    size: {
      control: 'radio',
      options: [16, 20, 24, 28, 32, 40],
    },
  },
  decorators: [(Story) => <div className="p-5">{Story()}</div>],
};

export default Component;
type Story = StoryObj<typeof Component>;

export const MUIIcon: Story = (args: any) => {
  return <Icon component={<ArrowBack />} size={24} {...args} />;
};

export const CarbonIcon: Story = (args: any) => {
  return <Icon component={<CarbonStringInteger />} size={24} {...args} />;
};

MUIIcon.args = {};
CarbonIcon.args = {};
