import React from 'react';
import { Icon } from '../icon';
import { Tooltip, TooltipContent, TooltipTrigger } from '../tooltip';
import { InfoOutlined } from '@mui/icons-material';

type Props = {
  tooltip: string;
  placement?: 'top' | 'bottom' | 'left' | 'right';
};

export default function Info({ tooltip, placement = 'left' }: Props) {
  return (
    <Tooltip placement={placement}>
      <TooltipTrigger>
        <Icon component={<InfoOutlined />} size={14} />
      </TooltipTrigger>
      <TooltipContent>
        <p>{tooltip}</p>
      </TooltipContent>
    </Tooltip>
  );
}
